aboutsummaryrefslogtreecommitdiffstats
path: root/common/scripts/agl-extend-test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'common/scripts/agl-extend-test.sh')
-rwxr-xr-xcommon/scripts/agl-extend-test.sh35
1 files changed, 35 insertions, 0 deletions
diff --git a/common/scripts/agl-extend-test.sh b/common/scripts/agl-extend-test.sh
new file mode 100755
index 0000000..fd3a4f8
--- /dev/null
+++ b/common/scripts/agl-extend-test.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+pre_check=`which agl-test`
+
+if [ -n "$pre_check" ] ; then
+ agl-test
+ echo "agl-extend-test is present"
+else
+ echo "agl-test is not installed, abort this test"
+ exit 127
+fi
+
+
+if [ -x ./artiproxy-upload.sh ] ; then
+ LOG_DIR=/var/run/agl-test/logs/log-to-report
+ ZIP_FILE=`ls ${LOG_DIR} | grep agl-test-log*`
+
+ if [ -z $ZIP_FILE ] ; then
+ echo "Cannot find agl-extend-test log"
+ exit 1
+ fi
+
+ ./artiproxy-upload.sh $LOG_DIR $ZIP_FILE
+ if [ $? -eq 1 ] ; then
+ echo "Upload of ${ZIP_FILE} failed"
+ exit 1
+ else
+ echo "Upload of test report successful"
+ exit 0
+ fi
+
+else
+ echo "The file artiproxy-upload.sh does not exist"
+ exit 126
+fi